package batch_msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/batch_msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /batch_msg/create batch_msg CreateBatchMsg
//
// Create batch msg information | 创建BatchMsg
//
// Create batch msg information | 创建BatchMsg
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BatchMsgInfo
//
// Responses:
//  200: BaseMsgResp

func CreateBatchMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.BatchMsgInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := batch_msg.NewCreateBatchMsgLogic(r.Context(), svcCtx)
		resp, err := l.CreateBatchMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
